package com.yidianling.tests.list.view

import com.yidianling.tests.list.model.bean.TestListData
import com.hannesdorfmann.mosby3.mvp.MvpView

/**
 * TestListFragmentView
 * Created by zqk on 17-11-22.
 */
interface TestListFragmentView : MvpView {
    fun onTestListFetched(testListData: TestListData, page: Int)
    fun onFailed(msg: String?)
    fun dismissLoading()
    fun onError(t: Throwable)
}